### Function

# Qrtr get_uri_for_node

since: 1.0

#### Declaration [src]

    gchar*
    qrtr_get_uri_for_node (
      guint32 node_id
    )

#### Description [src]

Build a URI for the given QRTR node.

Available since: 1.0

#### Parameters

`node_id`

  Type: `guint32`

  Node id.

#### Return value

Type: `gchar*`

A string with the URI, or `NULL` if none given. The returned value should be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.